Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 21 May 2022 11:02:46 +0000

Hi Khalid Alamri,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns On Saturday morning 14th May 2022 I was treated very, very badly by the staff on duty at the returns and refunds section at your Mall of Arabia branch, Jeddah, Saudi Arabia.

They told me there was a technical issue but that it was an online issue not an in store one and that I have to phone the call center. I kept asking why is it that they cannot phone. They started to ignore me and pretended as if they do not understand English. When I repeated myself and reminded them that it is a store issue and that they must phone. The lady wanted me to stop questioning and told me she will call security. Imagine that!!!!! I am a Muslim from South Africa, educated and teaching in Jeddah and I was treated like a criminal!!!!! They all decided to ignore me and I phoned the call center from my phone. The lady at the call center told me that it was the responsibility of the Centerpoint staff to contact the call center. Then, I was told that the technical problem was at the store not the online section.

I filed a complaint with the call center agent.

Nobody, nobody......contacted me until now.

I am planning to report this issue to the higher consumer service authorities. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4373533